unit DetailedInfo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TDetailedInfoForm = class(TForm)
    Log: TMemo;
  	procedure LoadInfo(Index: Integer);
  private
  public
    { Public declarations }
  end;

var
  DetailedInfoForm: TDetailedInfoForm;

implementation

uses
	GeneralData;

{$R *.dfm}

procedure TDetailedInfoForm.LoadInfo(Index: Integer);
var
	i: Integer;
    S, Folder: String;
	f: TextFile;
begin
	S := ContestantList[Index].Display;
	Caption := S;
	Log.Lines.Clear;

    Log.Lines.Add(S);
    for i := 1 to Length(S) do
    	S[i] := '-';
    Log.Lines.Add(S);

    Folder := ContestantList[Index].GetFolder;
    for i := 0 to Length( TaskList )-1 do
    begin
    	Log.Lines.Add('');
    	S := TaskList[i].Name;
    	Log.Lines.Add(S + ' (' + ContestantList[Index].GetTaskRes(S) + ')');
        AssignFile(f, Folder + S + FULL_LOG_SUFFIX);
{$I-}
        Reset(f);
        if IOResult = 0 then
        begin
        	while not EOF(f) do
            begin
            	ReadLn(f, S);
                Log.Lines.Add('  ' + S);
            end;
	        CloseFile(f);
        end else
        	Log.Lines.Add('   ');
{$I+}
    end;
end;

end.
