#define Mn 100
#define Md 100

#include <stdio.h>

FILE *fIn, *fOut, *fAns;
int max_score, part_score, a[Mn][Mn], d[Md][Mn], i, j, k, l, m, n, ans, v[Mn];
bool b[Mn];

int getSum(int row)
{
    int s = 0;
    for (i = 0; i < n - row; i++)
        s += a[i][row];
    return s;
}

int main(int argc, char** argv)
{
	freopen("report", "wt", stdout);
	sscanf(argv[1], "%d", &max_score);
	part_score = max_score * 2 / 5;
	fIn = fopen(argv[2], "r");
	fOut = fopen(argv[3], "r");
	fAns = fopen(argv[4], "r");

    fscanf(fIn, "%d", &n);
    for (i = 0; i < n; i++)
    {
        l = i > 0 ? n - i : n - 1;
        for (j = 0; j < l; j++)
            fscanf(fIn, "%d", &a[i][j]);
    }
    a[0][n - 1] = getSum(n - 2);
    fscanf(fAns, "%d", &ans);
    if (fscanf(fOut, "%d", &m) < 1)
    {
        printf(" 0 -     .\n");
        return 0;
    }
    if (m != ans)
    {
        printf(" 0 -   .\n");
        return 0;
    }
    for (i = 0; i < n * m; i++)
        if (fscanf(fOut, "%d", &d[i / n][i % n]) < 1)
        {
            printf("%02d -   ;    .\n", part_score);
            return 0;
        } else
            d[i / n][i % n]--;

    for (i = 0; i < m; i++)
    {
        for (j = 0; j < n; j++)
            b[j] = false;
        for (j = 0; j < n; j++)
            if (d[i][j] < 0 || d[i][j] >= n || b[d[i][j]])
            {
                printf("%02d -   ;   .\n", part_score);
                return 0;
            } else
                b[d[i][j]] = true;
    }

    for (i = 0; i < n; i++)
    {
        for (j = 0; j < n; j++)
            v[j] = 0;
        for (j = 0; j < m; j++)
        {
            k = 0;
            while (d[j][k] >= n - i)
                k++;
            v[d[j][k]]++;
        }
        for (j = 0; j < n - i; j++)
            if (v[j] > a[j][i])
            {
                printf("%02d -   ,   .\n", part_score);
                return 0;
            }
    }

    printf("%02d -  .\n", max_score);
	return 0;
}

